package ovh.glitchlabs.ornamentum.tags;

import net.minecraft.core.registries.Registries;
import net.minecraft.resources.ResourceLocation;
import net.minecraft.tags.TagKey;
import net.minecraft.world.level.block.Block;
import ovh.glitchlabs.ornamentum.Ornamentum;

public class ModTags {

    public static class Blocks {

        public static final TagKey<Block> FLAGS =
                TagKey.create(
                        Registries.BLOCK,
                        ResourceLocation.fromNamespaceAndPath(Ornamentum.MODID, "flags")
                );

        public static final TagKey<Block> PRIDE_FLAGS =
                TagKey.create(
                        Registries.BLOCK,
                        ResourceLocation.fromNamespaceAndPath(Ornamentum.MODID, "pride_flags")
                );

        public static final TagKey<Block> COUNTRIES_FLAGS =
                TagKey.create(
                        Registries.BLOCK,
                        ResourceLocation.fromNamespaceAndPath(Ornamentum.MODID, "countries_flags")
                );

        public static final TagKey<Block> TOYS =
                TagKey.create(
                        Registries.BLOCK,
                        ResourceLocation.fromNamespaceAndPath(Ornamentum.MODID, "toys")
                );
    }
}